config/routes.rb
Rails.application.routes.draw do
  resources :gossips
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
  root 'gossips#index'
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/gossip.rb
class Gossip < ApplicationRecord
  validates :anonymous_author, presence: true
  validates :content, presence: true
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  protect_from_forgery with: :exception
end

app/controllers/gossips_controller.rb
class GossipsController < ApplicationController
  before_action :set_gossip, only: [:show, :edit, :update, :destroy]

  # GET /gossips
  # GET /gossips.json
  def index
    @gossips = Gossip.all
  end

  # GET /gossips/1
  # GET /gossips/1.json
  def show
  end

  # GET /gossips/new
  def new
    @gossip = Gossip.new
  end

  # GET /gossips/1/edit
  def edit
  end

  # POST /gossips
  # POST /gossips.json
  def create
    @gossip = Gossip.new(gossip_params)
    @gossip.save
    redirect_to @gossip
  end

  # PATCH/PUT /gossips/1
  # PATCH/PUT /gossips/1.json
  def update
    @gossip.update(gossip_params)
    redirect_to gossip_path
  end

  # DELETE /gossips/1
  # DELETE /gossips/1.json
  def destroy
    @gossip.destroy
    redirect_to gossips_path
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_gossip
      @gossip = Gossip.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def gossip_params
      params.require(:gossip).permit(:anonymous_author, :content)
    end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/gossips_helper.rb
module GossipsHelper
end

app/views/gossips/edit.html.erb
<h1>Editing Gossip</h1>

<%= form_for @gossip do |f| %>
  <div class="form-group">
    <label>Gossip</label>
    <%= f.text_field :anonymous_author, class: 'form-control' %>
  </div>
  <div class="form-group">
    <label>Content</label>
    <%= f.text_field :content, class: 'form-control' %>
  </div>
  <div>

    <%= button_to 'Modifier', gossip_path(@gossip), :class=>"btn btn-sm btn-outline-warning", :method=>:patch%>
    <%= button_to 'Détruire', @gossip, :class=>"btn btn-sm btn-danger", :method=>:delete%>

  </div>
<% end %>

<br />
<%= button_to 'Back', gossips_path, :class=>"btn btn-sm btn-outline-secondary", :method=>:get %>

app/views/gossips/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Gossips</h1>

<table>
  <thead>
    <tr>
      <th>Anonymous author</th>
      <th>Content</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @gossips.each do |gossip| %>
      <tr>
        <td><%= gossip.anonymous_author %></td>
        <td><%= gossip.content %></td>
        <td><%= button_to 'Show', gossip, :class=>"btn btn-sm btn-outline-info", :method=>:get%></td>
        <td><%= button_to 'Edit', edit_gossip_path(gossip), :class=>"btn btn-sm btn-outline-warning", :method=>:get%></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= button_to 'New Gossip', new_gossip_path, :class=>"btn btn-primary my-2", :method=>:get%>

app/views/gossips/new.html.erb
<h1>Nouveau Gossip</h1>

<%= form_for @gossip do |f| %>
  <div class="form-group">
    <label>Author</label>
    <%= f.text_field :anonymous_author, class: 'form-control' %>
  </div>
  <div class="form-group">
    <label>Content</label>
    <%= f.text_field :content, class: 'form-control' %>
  </div>
  <div class="form-group btn btn-primary my-2">

    <%= f.button "Create", :class=>"btn btn-sm btn-primary my-2"%>
  </div>
<% end %>

<br />
<%= button_to 'Back', gossips_path, :class=>"btn btn-sm btn-outline-secondary", :method=>:get %>

app/views/gossips/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Anonymous author:</strong>
  <%= @gossip.anonymous_author %>
</p>

<p>
  <strong>Content:</strong>
  <%= @gossip.content %>
</p>

<%= button_to 'Edit', edit_gossip_path(@gossip), :class=>"btn btn-sm btn-outline-warning", :method=>:get%>
<br />
<%= button_to 'Back', gossips_path, :class=>"btn btn-sm btn-outline-secondary", :method=>:get %>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>TheGossipProject</title>
    <%= csrf_meta_tags %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  </head>

  <body>
    <%= yield %>
  </body>
</html>